import QtQuick 2.2
import SddmComponents 2.0
import QtQuick.Layouts 1.1
import org.kde.plasma.components 2.0 as PlasmaComponents

Rectangle {
    readonly property string username: usernameInput.text
    readonly property string password: passwordInput.text
    property alias pwFieldEnabled: passwordInput.enabled
    color: "transparent"

    function reenablePasswordInput() {
        passwordInput.enabled = true
        passwordInput.selectAll()
        passwordInput.forceActiveFocus()
    }

    ColumnLayout {
        anchors.fill: parent
        PlasmaComponents.TextField {
            id: usernameInput
            placeholderText: i18nd("plasma_lookandfeel_org.kde.lookandfeel","Username")
            onAccepted: nextItemInFocusChain().forceActiveFocus();
            focus: true
            text: userModel.lastUser
        }

        PlasmaComponents.TextField {
            id: passwordInput
            placeholderText: i18nd("plasma_lookandfeel_org.kde.lookandfeel","Password")
            echoMode: TextInput.Password
	    onAccepted: loginPrompt.startLogin()
            focus: true

            //focus works in qmlscene
            //but this seems to be needed when loaded from SDDM
            //I don't understand why, but we have seen this before in the old lock screen
            Timer {
                interval: 200
                running: parent.visible
                onTriggered: passwordInput.forceActiveFocus()
            }
            //end hack

            Keys.onEscapePressed: {
               //nextItemInFocusChain(false) is previous Item
               nextItemInFocusChain(false).forceActiveFocus();
            }

        }

    } // ColumnLayout

}
